Skip to content

Settlement

This resource represents the settlement details. The settlement is the process of transferring funds from your Glomo account to your bank account.

Create a new settlement

Request

Security
JWT
Bodyapplication/jsonrequired

Provide both the amount and the balance_currency.

amountnumber, >= 1required

The amount to settle, in the smallest unit of balance_currency.

Example:1000
balance_currencystring, (iso-4217)required

The balance which you want use to make the settlement. This is the currency in which the amount will be deducted from your balance.

Example:"USD"
POST
/settlements
curl -i -X POST \
  https://api.glomopay.com/api/v1/settlements \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "amount": 1000,
    "balance_currency": "USD"
  }'

Responses

Settlement created successfully

Bodyapplication/json
idstringread-only

The unique identifier for the settlement.

Example:"setl_6878e266jt1P3"
statusstring

The status of the settlement.

Example:"success"
payment_methodstring

The payment method used for the settlement.

Example:"swift_transfer"
amountnumber, >= 1

The amount of the settlement in cents. For example, 1000 cents is $10.00. The currency is determined by the currency field.

Example:1000
currencystring, (iso-4217, case-insensitive)

The currency in which the settlement is made. The currency code is in ISO 4217 format. For example, USD.

Example:"USD"
feesobject

The fees associated with the settlement.

utrstring

The Unique Transaction Reference (UTR) for the settlement.

Example:"1568176960vxp0rj"
created_atstring, (date-time)read-only

The creation timestamp of the settlement.

Example:"2024-12-06T11:38:37.130Z"
updated_atstring, (date-time)read-only

The last update timestamp of the settlement.

Example:"2024-12-06T11:38:37.130Z"
Response
{ "id": "setl_6878e266jt1P3", "status": "success", "payment_method": "swift_transfer", "amount": 1000, "currency": "USD", "fees": { "fx_fee": {}, "txn_fee": {} }, "utr": "1568176960vxp0rj", "created_at": "2024-12-06T11:38:37.130Z", "updated_at": "2024-12-06T11:38:37.130Z" }